HPL_fprintf(3)

NAME
HPL_fprintf - fprintf + fflush wrapper.

SYNOPSIS
#include "hpl.h"

void HPL_fprintf( FILE * STREAM, const char * FORM, ... );

DESCRIPTION
HPL_fprintf is a wrapper around fprintf flushing the output stream.

ARGUMENTS

STREAM  (local input)           FILE *
    On entry, STREAM specifies the output stream.

FORM    (local input)           const char *
    On entry, FORM specifies the format, i.e., how the subsequent arguments are converted for output.

(local input)           ...
    On entry, ... is the list of arguments to be printed within the format string.

EXAMPLE
#include "hpl.h"

int main(int argc, char *argv[])
{
   HPL_fprintf( stdout, "Hello World.\n" );
   exit(0); return(0);
}

SEE ALSO
HPL_abort (3), HPL_warn (3).